:_content-type: CONCEPT
:navtitle: Understanding the `CheCluster` Custom Resource
:description: Understanding the `CheCluster` Custom Resource
:keywords: administration guide, understanding-the-checluster-custom-resource, configuring-che
:page-aliases: installation-guide:understanding-the-checluster-custom-resource, installation-guide:configuring-the-che-installation

[id="understanding-the-checluster-custom-resource_{context}"]
= Understanding the `CheCluster` Custom Resource

A default deployment of {prod-short} consists of a `CheCluster` Custom Resource parameterized by the {prod} Operator.

The `CheCluster` Custom Resource is a {kubernetes} object. You can configure it by editing the `CheCluster` Custom Resource YAML file. This file contains sections to configure each component: `auth`, `database`, `server`, `storage`.

The {prod} Operator translates the `CheCluster` Custom Resource into a config map usable by each component of the {prod-short} installation.

The {orch-name} platform applies the configuration to each component, and creates the necessary Pods. When {orch-name} detects changes in the configuration of a component, it restarts the Pods accordingly.

.Configuring the main properties of the {prod-short} server component
====
. Apply the `CheCluster` Custom Resource YAML file with suitable modifications in the `server` component section.
. The Operator generates the `che` `ConfigMap`. 
. {orch-name} detects changes in the `ConfigMap` and triggers a restart of the {prod-short} Pod.
====

.Additional resources

* link:https://docs.openshift.com/container-platform/latest/operators/understanding/olm-what-operators-are.html[Understanding Operators]

* {link-understanding-custom-resources}


